package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TGuijiLibraryGive;

/**
 * 还书Service接口
 * 
 * @author lei
 * @date 2021-10-20
 */
public interface ITGuijiLibraryGiveService 
{
    /**
     * 查询还书
     * 
     * @param id 还书ID
     * @return 还书
     */
    public TGuijiLibraryGive selectTGuijiLibraryGiveById(String id);

    /**
     * 查询还书列表
     * 
     * @param tGuijiLibraryGive 还书
     * @return 还书集合
     */
    public List<TGuijiLibraryGive> selectTGuijiLibraryGiveList(TGuijiLibraryGive tGuijiLibraryGive);

    /**
     * 新增还书
     * 
     * @param tGuijiLibraryGive 还书
     * @return 结果
     */
    public int insertTGuijiLibraryGive(TGuijiLibraryGive tGuijiLibraryGive);

    /**
     * 修改还书
     * 
     * @param tGuijiLibraryGive 还书
     * @return 结果
     */
    public int updateTGuijiLibraryGive(TGuijiLibraryGive tGuijiLibraryGive);

    /**
     * 批量删除还书
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiLibraryGiveByIds(String ids);

    /**
     * 删除还书信息
     * 
     * @param id 还书ID
     * @return 结果
     */
    public int deleteTGuijiLibraryGiveById(String id);
}
